Incident Postmortems
The Bearer API key of your user more info.
the id of the incident
the postmortems of the incident
the generation status of the postmortem
Location of the generated postmortem document.
Link to an externally hosted postmortem document.
This is an include field, it is not returned unless requested via the include query parameter
Set when the status is ERROR.
GET /api/incidents/{id}/postmortems HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the postmortems of the incident
[
{
"id": 1,
"status": "NONE",
"title": "text",
"editorialStatus": "AI_DRAFT",
"visibility": "NONE",
"markdownUrl": "https://example.com",
"linkUrl": "https://example.com",
"markdownContent": "text",
"errorMessage": "text",
"creator": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"incident": {
"id": 1,
"number": 1,
"title": "text",
"summary": "text",
"status": "DECLARED",
"severity": 1,
"declaredAt": "2026-01-01T00:00:00.000Z",
"resolvedAt": "2026-01-01T00:00:00.000Z",
"declaredBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"resolvedBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"channel": {
"id": "text",
"name": "text",
"type": "SLACK",
"href": "https://example.com",
"groupId": "text",
"isPrivate": true
},
"conferenceBridge": {
"type": "ZOOM",
"href": "https://example.com",
"id": "text",
"dialIn": "text"
},
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"status": "ADDED",
"role": "INCIDENT_COMMANDER",
"notifiedAt": "2026-01-01T00:00:00.000Z",
"acceptedAt": "2026-01-01T00:00:00.000Z",
"declinedAt": "2026-01-01T00:00:00.000Z",
"pagedByUserId": 1
}
],
"alertCount": 1,
"responderCountJoined": 1,
"responderCountTotal": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]The Bearer API key of your user more info.
the id of the incident
replace an already existing postmortem of the incident
falseIANA timezone name used for dates in the generated document, for example Europe/Berlin.
Language of the generated document, for example en or de.
the requested postmortem
the generation status of the postmortem
Location of the generated postmortem document.
Link to an externally hosted postmortem document.
This is an include field, it is not returned unless requested via the include query parameter
Set when the status is ERROR.
POST /api/incidents/{id}/postmortems HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 293
{
"alerts": [
{
"id": 1
}
],
"deployments": [
{
"id": 1
}
],
"channels": [
{
"id": "text",
"type": "SLACK",
"groupId": "text",
"isPrivate": true,
"fromEpochSec": 1,
"untilEpochSec": 1
}
],
"impact": "text",
"rootCause": "text",
"actionItems": "text",
"chatTranscript": "text",
"visibility": "NONE",
"timezone": "text",
"language": "text"
}the requested postmortem
{
"id": 1,
"status": "NONE",
"title": "text",
"editorialStatus": "AI_DRAFT",
"visibility": "NONE",
"markdownUrl": "https://example.com",
"linkUrl": "https://example.com",
"markdownContent": "text",
"errorMessage": "text",
"creator": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"incident": {
"id": 1,
"number": 1,
"title": "text",
"summary": "text",
"status": "DECLARED",
"severity": 1,
"declaredAt": "2026-01-01T00:00:00.000Z",
"resolvedAt": "2026-01-01T00:00:00.000Z",
"declaredBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"resolvedBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"channel": {
"id": "text",
"name": "text",
"type": "SLACK",
"href": "https://example.com",
"groupId": "text",
"isPrivate": true
},
"conferenceBridge": {
"type": "ZOOM",
"href": "https://example.com",
"id": "text",
"dialIn": "text"
},
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"status": "ADDED",
"role": "INCIDENT_COMMANDER",
"notifiedAt": "2026-01-01T00:00:00.000Z",
"acceptedAt": "2026-01-01T00:00:00.000Z",
"declinedAt": "2026-01-01T00:00:00.000Z",
"pagedByUserId": 1
}
],
"alertCount": 1,
"responderCountJoined": 1,
"responderCountTotal": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}The Bearer API key of your user more info.
the id of the incident
the id of the postmortem
the postmortem
the generation status of the postmortem
Location of the generated postmortem document.
Link to an externally hosted postmortem document.
This is an include field, it is not returned unless requested via the include query parameter
Set when the status is ERROR.
GET /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
the postmortem
{
"id": 1,
"status": "NONE",
"title": "text",
"editorialStatus": "AI_DRAFT",
"visibility": "NONE",
"markdownUrl": "https://example.com",
"linkUrl": "https://example.com",
"markdownContent": "text",
"errorMessage": "text",
"creator": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"incident": {
"id": 1,
"number": 1,
"title": "text",
"summary": "text",
"status": "DECLARED",
"severity": 1,
"declaredAt": "2026-01-01T00:00:00.000Z",
"resolvedAt": "2026-01-01T00:00:00.000Z",
"declaredBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"resolvedBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"channel": {
"id": "text",
"name": "text",
"type": "SLACK",
"href": "https://example.com",
"groupId": "text",
"isPrivate": true
},
"conferenceBridge": {
"type": "ZOOM",
"href": "https://example.com",
"id": "text",
"dialIn": "text"
},
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"status": "ADDED",
"role": "INCIDENT_COMMANDER",
"notifiedAt": "2026-01-01T00:00:00.000Z",
"acceptedAt": "2026-01-01T00:00:00.000Z",
"declinedAt": "2026-01-01T00:00:00.000Z",
"pagedByUserId": 1
}
],
"alertCount": 1,
"responderCountJoined": 1,
"responderCountTotal": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}The Bearer API key of your user more info.
the id of the incident
the id of the postmortem
the generation status of the postmortem
Location of the generated postmortem document.
Link to an externally hosted postmortem document.
This is an include field, it is not returned unless requested via the include query parameter
Set when the status is ERROR.
the updated postmortem
the generation status of the postmortem
Location of the generated postmortem document.
Link to an externally hosted postmortem document.
This is an include field, it is not returned unless requested via the include query parameter
Set when the status is ERROR.
PUT /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1835
{
"title": "text",
"editorialStatus": "AI_DRAFT",
"visibility": "NONE",
"markdownUrl": "https://example.com",
"linkUrl": "https://example.com",
"markdownContent": "text",
"incident": {
"title": "text",
"summary": "text",
"status": "DECLARED",
"severity": 1,
"declaredBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"resolvedBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"channel": {
"id": "text",
"name": "text",
"type": "SLACK",
"href": "https://example.com",
"groupId": "text",
"isPrivate": true
},
"conferenceBridge": {
"type": "ZOOM",
"href": "https://example.com",
"id": "text",
"dialIn": "text"
},
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
]
}
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"role": "INCIDENT_COMMANDER"
}
]
}
}the updated postmortem
{
"id": 1,
"status": "NONE",
"title": "text",
"editorialStatus": "AI_DRAFT",
"visibility": "NONE",
"markdownUrl": "https://example.com",
"linkUrl": "https://example.com",
"markdownContent": "text",
"errorMessage": "text",
"creator": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"incident": {
"id": 1,
"number": 1,
"title": "text",
"summary": "text",
"status": "DECLARED",
"severity": 1,
"declaredAt": "2026-01-01T00:00:00.000Z",
"resolvedAt": "2026-01-01T00:00:00.000Z",
"declaredBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"resolvedBy": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"channel": {
"id": "text",
"name": "text",
"type": "SLACK",
"href": "https://example.com",
"groupId": "text",
"isPrivate": true
},
"conferenceBridge": {
"type": "ZOOM",
"href": "https://example.com",
"id": "text",
"dialIn": "text"
},
"affectedServices": [
{
"impact": "OPERATIONAL",
"service": {
"id": 1,
"name": "text",
"alias": "text",
"status": "OPERATIONAL",
"description": "text",
"oneOpenIncidentOnly": true,
"showUptimeHistory": true,
"teams": [
{
"id": 1,
"name": "text"
}
],
"managedBy": {
"type": "API",
"source": "text"
},
"publicStatus": "OPERATIONAL",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"iconUrl": "text",
"links": [
{
"href": "https://example.com",
"text": "text"
}
],
"createdBy": {
"type": "API",
"source": "text"
}
}
}
],
"responders": [
{
"user": {
"id": 1,
"firstName": "text",
"lastName": "text",
"email": "text",
"timezone": "Europe/Berlin",
"position": "text",
"department": "text",
"avatarUrl": "text",
"language": "de",
"region": "DE",
"role": "STAKEHOLDER",
"shiftColor": "text",
"mutedUntil": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"status": "ADDED",
"role": "INCIDENT_COMMANDER",
"notifiedAt": "2026-01-01T00:00:00.000Z",
"acceptedAt": "2026-01-01T00:00:00.000Z",
"declinedAt": "2026-01-01T00:00:00.000Z",
"pagedByUserId": 1
}
],
"alertCount": 1,
"responderCountJoined": 1,
"responderCountTotal": 1
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}The Bearer API key of your user more info.
the id of the incident
the id of the postmortem
no content
No content
DELETE /api/incidents/{id}/postmortems/{pId} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
no content
No content
Last updated
Was this helpful?